Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 1937)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 1938)
@@ -193,43 +193,124 @@
 		String items[] = { "(1,2)", "(1,3)", "(2,3)" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 
 		
+//
+//		ToolItem renderingComboItem = new ToolItem(this.chartToolBar, SWT.SEPARATOR);
+//		
+//		final ComboViewer plansComboViewer = new ComboViewer(this.chartToolBar);
+//		plansComboViewer.setContentProvider(ArrayContentProvider.getInstance());
+//		plansComboViewer.setInput(items);
+//		//this.chartToolBar.addControl(plansComboViewer.getCombo());
+//		
+//		renderingComboItem.setControl(plansComboViewer.getControl());
+//		plansComboViewer.getControl().pack();
+//		renderingComboItem.setWidth(plansComboViewer.getControl().getBounds().width);
+//		
+//		
+//		// Preselect the plan from the CA data
+//		if(this.getIntParameterValue(CAPreferences.FIRST_DIMENSION) == 2)	{
+//			plansComboViewer.getCombo().select(2);
+//		}
+//		else if(this.getIntParameterValue(CAPreferences.SECOND_DIMENSION) == 3)	{
+//			plansComboViewer.getCombo().select(1);
+//		}
+//		else	{
+//			plansComboViewer.getCombo().select(0);
+//		}
+//		
+//		plansComboViewer.getControl().pack();
+//		
+//		plansComboViewer.addSelectionChangedListener(new ISelectionChangedListener() {
+//			
+//			@Override
+//			public void selectionChanged(SelectionChangedEvent e) {
+//				// TODO Auto-generated method stub
+//				boolean resetView = false;
+//
+//				// Change factors
+//				if(e.getSource() == plansComboViewer)	{
+//
+//					Combo plans = (Combo) ((ComboViewer) e.getSource()).getCombo();
+//
+//					int dimension1 = 1;
+//					int dimension2 = 2;
+//
+//					String str = plans.getItem(plans.getSelectionIndex());
+//					str = str.substring(1, str.length() -1); // remove ( and )
+//					String[] split = str.split(","); // 2 items //$NON-NLS-1$
+//					dimension1 = Integer.parseInt(split[0]);
+//					dimension2 = Integer.parseInt(split[1]);
+//
+//					getResult().setFirstDimension(dimension1);
+//					getResult().setSecondDimension(dimension2);
+//
+//					resetView = true;
+//				}
+//				getResult().setChartDirty();
+//				getResult().setNeedsToResetView(resetView);
+//				compute(true);
+//			}
+//		});
+		
+		ToolItem plansComboItem = new ToolItem(this.chartToolBar, SWT.SEPARATOR);
+		final Combo plansCombo = new Combo(this.chartToolBar, SWT.READ_ONLY);
 
-		ToolItem renderingComboItem = new ToolItem(this.chartToolBar, SWT.SEPARATOR);
+		plansComboItem.setControl(plansCombo);
+		plansCombo.pack();
+		plansComboItem.setWidth(plansCombo.getBounds().width);
 		
-		final ComboViewer plansComboViewer = new ComboViewer(this.chartToolBar);
-		plansComboViewer.setContentProvider(ArrayContentProvider.getInstance());
-		plansComboViewer.setInput(items);
-		//this.chartToolBar.addControl(plansComboViewer.getCombo());
-		
-		renderingComboItem.setControl(plansComboViewer.getControl());
-		plansComboViewer.getControl().pack();
-		renderingComboItem.setWidth(plansComboViewer.getControl().getBounds().width);
-		
-		
+		// FIXME: commented because the infos panel is not ready to manage more axes
+		//		ArrayList<String> planes = null;
+		//		try {
+		//			int nbsv = ((CA) editorPart.getResultData()).getSingularValues().length;
+		//			planes = new ArrayList<String>();
+		//			for(int i = 1 ; i < nbsv ; i ++)	{
+		//				for(int j = i ; j < nbsv ; j++)	{
+		//					if(i != j)	{
+		//						planes.add("("+i+","+j+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		//					}
+		//				}
+		//			}
+		//		}
+		//		catch (StatException e1) {
+		//			// TODO Auto-generated catch block
+		//			org.txm.utils.logger.Log.printStackTrace(e1);
+		//		}
+		//		String [] items = planes.toArray(new String[planes.size()]);
+
+
+		// TODO : commented because the infos panel is not ready to manage more axes
+		//		if(couples != null && couples.size() > 3)	{
+		//			items = couples.toArray(new String[couples.size()]);
+		//}
+
+
+		plansCombo.setItems(items);
+
 		// Preselect the plan from the CA data
 		if(this.getIntParameterValue(CAPreferences.FIRST_DIMENSION) == 2)	{
-			plansComboViewer.getCombo().select(2);
+			plansCombo.select(2);
 		}
 		else if(this.getIntParameterValue(CAPreferences.SECOND_DIMENSION) == 3)	{
-			plansComboViewer.getCombo().select(1);
+			plansCombo.select(1);
 		}
 		else	{
-			plansComboViewer.getCombo().select(0);
+			plansCombo.select(0);
 		}
-		
-		plansComboViewer.getControl().pack();
-		
-		plansComboViewer.addSelectionChangedListener(new ISelectionChangedListener() {
-			
+
+		//this.chartToolBar.addControl(plansCombo);
+
+		// Listeners
+		SelectionListener listener = new SelectionListener() {
+
 			@Override
-			public void selectionChanged(SelectionChangedEvent e) {
-				// TODO Auto-generated method stub
+			public void widgetSelected(SelectionEvent e) {
+
 				boolean resetView = false;
 
 				// Change factors
-				if(e.getSource() == plansComboViewer)	{
+				if(e.getSource() == plansCombo)	{
 
-					Combo plans = (Combo) ((ComboViewer) e.getSource()).getCombo();
+					Combo plans = (Combo) e.getSource();
 
 					int dimension1 = 1;
 					int dimension2 = 2;
@@ -248,92 +329,16 @@
 				getResult().setChartDirty();
 				getResult().setNeedsToResetView(resetView);
 				compute(true);
+				//forceFocus();
 			}
-		});
-		
-//		final Combo plansCombo = new Combo(this.chartToolBar, SWT.READ_ONLY);
-//
-//		// FIXME: commented because the infos panel is not ready to manage more axes
-//		//		ArrayList<String> planes = null;
-//		//		try {
-//		//			int nbsv = ((CA) editorPart.getResultData()).getSingularValues().length;
-//		//			planes = new ArrayList<String>();
-//		//			for(int i = 1 ; i < nbsv ; i ++)	{
-//		//				for(int j = i ; j < nbsv ; j++)	{
-//		//					if(i != j)	{
-//		//						planes.add("("+i+","+j+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-//		//					}
-//		//				}
-//		//			}
-//		//		}
-//		//		catch (StatException e1) {
-//		//			// TODO Auto-generated catch block
-//		//			org.txm.utils.logger.Log.printStackTrace(e1);
-//		//		}
-//		//		String [] items = planes.toArray(new String[planes.size()]);
-//
-//
-//		// TODO : commented because the infos panel is not ready to manage more axes
-//		//		if(couples != null && couples.size() > 3)	{
-//		//			items = couples.toArray(new String[couples.size()]);
-//		//}
-//
-//
-//		plansCombo.setItems(items);
-//
-//		// Preselect the plan from the CA data
-//		if(this.getIntParameterValue(CAPreferences.FIRST_DIMENSION) == 2)	{
-//			plansCombo.select(2);
-//		}
-//		else if(this.getIntParameterValue(CAPreferences.SECOND_DIMENSION) == 3)	{
-//			plansCombo.select(1);
-//		}
-//		else	{
-//			plansCombo.select(0);
-//		}
-//
-//		this.chartToolBar.addControl(plansCombo);
-//
-//		// Listeners
-//		SelectionListener listener = new SelectionListener() {
-//
-//			@Override
-//			public void widgetSelected(SelectionEvent e) {
-//
-//				boolean resetView = false;
-//
-//				// Change factors
-//				if(e.getSource() == plansCombo)	{
-//
-//					Combo plans = (Combo) e.getSource();
-//
-//					int dimension1 = 1;
-//					int dimension2 = 2;
-//
-//					String str = plans.getItem(plans.getSelectionIndex());
-//					str = str.substring(1, str.length() -1); // remove ( and )
-//					String[] split = str.split(","); // 2 items //$NON-NLS-1$
-//					dimension1 = Integer.parseInt(split[0]);
-//					dimension2 = Integer.parseInt(split[1]);
-//
-//					getResult().setFirstDimension(dimension1);
-//					getResult().setSecondDimension(dimension2);
-//
-//					resetView = true;
-//				}
-//				getResult().setChartDirty();
-//				getResult().setNeedsToResetView(resetView);
-//				compute(true);
-//				//forceFocus();
-//			}
-//
-//			@Override
-//			public void widgetDefaultSelected(SelectionEvent e) {
-//				// TODO Auto-generated method stub
-//			}
-//		};
-//		plansCombo.addSelectionListener(listener);
 
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+				// TODO Auto-generated method stub
+			}
+		};
+		plansCombo.addSelectionListener(listener);
+
 		// parent parameters
 		// thresholds
 		if (!this.getResult().getParent().isVisible()  // the LT parent is not visible
